function looming_prod=BearingRate_prod(omega,x_s,vx_s,y_s,vy_s,x_n,vx_n,y_n,vy_n)
% p1--p2 ^
% |   |  ^
% p3--p4 ^
w=[0;0;omega];
pj=[x_n;y_n;0];
p_i=[x_s;y_s;0];% the center of the vehicle

p_i1=p_i+[-2;2;0];
p_i2=p_i+[-2;-2;0];


pj3=pj+[7;0.125;0];
pj4=pj+[7;-0.125;0];


vi=[vx_s;vy_s;0];
vi1=vi+cross((p_i1-p_i),w);
vi2=vi+cross((p_i2-p_i),w);
% vi3=vi+cross((p_i3-p_i),w);
% vi4=vi+cross((p_i4-p_i),w);
vj=[vx_n;vy_n;0];

thetall=(-cross((pj3-p_i1),vi1)+cross((pj3-p_i1),vj))./norm(pj3-p_i1).^2;
thetalr=(-cross((pj4-p_i1),vi1)+cross((pj4-p_i1),vj))./norm(pj4-p_i1).^2;


thetarl=(-cross((pj3-p_i2),vi2)+cross((pj3-p_i2),vj))./norm(pj3-p_i2).^2;
thetarr=(-cross((pj4-p_i2),vi2)+cross((pj4-p_i2),vj))./norm(pj4-p_i2).^2;


th1=thetall(3);
th2=thetalr(3);
th3=thetarl(3);
th4=thetarr(3);

looming_prod=max([th1,th2,th3,th4]).*min([th1,th2,th3,th4]);
end