clc;
close all;
D1 = [2.25 3.41 0.90 1 2.79];
D2 = [2.18 3.39 0.90 1 1.98e-4];
D3 = [2.76 3.73 0.90 1 6.14];
D4 = [2.58 3.35 0.68 1 1.30];
P = [D1; D2; D3;D4];
figure;
% Spider plot
spider_plot(P,...
    'AxesDirection', {'reverse', 'reverse', '', '', 'reverse'},...
    'AxesLabels', {'RMSE_{event}','RMSE_{peak}',{'R-Square','(averaged ratings','across events)'},'Detection rate', 'Computation cost'},...
     'AxesLimits', [2.18 3.35 0.48 0.6 1e-4 ; 4 5 0.90 1 6.5 ],...
     'Color', [1, 0, 0; 0 0.4470 0.7410; 0.9290 0.6940 0.1250;0.4660 0.6740 0.1880],...
     'LineWidth', [3, 2, 2, 2]);
 % [min axes limits; max axes limits]
legend('PCAD','RPR', 'PPDRF','DRF'); 

