clc;


D1 = [2.37 3.73 0.79 1.00 3.25];
D2 = [7.72 8.28 0.88 1.00 2.09e-4];
D3 = [4.86 5.14 0.20 1.00 1.03e-2];
D4 = [5.13 5.77 0.00 1.00 1.01];
P = [D1; D2; D3; D4];
figure;
% Spider plot
spider_plot(P,...
    'AxesDirection', {'reverse', 'reverse', '', '','reverse' },...
    'AxesLabels', {'RMSE_{event}','RMSE_{peak}',{'R-Square','(averaged ratings','across events)'}, 'Detection rate',  'Computation cost'},...
     'AxesLimits', [2.37 3.73 0.0 0 1e-4; 7.72 8.28 0.88 1 8],...
    'Color', [1, 0, 0; 0 0.4470 0.7410; 0.9290 0.6940 0.1250;0.4660 0.6740 0.1880],...
     'LineWidth', [3, 2, 2,2]);
 % [min axes limits; max axes limits]
legend('PCAD','RPR', 'PPDRF','DRF'); 


